org.eclipse.viatra.cep.emf.notification.integration

## Class EcoreNotificationAdapter

- java.lang.Object
- - org.eclipse.viatra.cep.emf.notification.integration.EcoreNotificationAdapter

-     public class EcoreNotificationAdapter
      extends java.lang.Object

  Extension library for processing Ecore `Notification` events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcoreNotificationAdapter(org.eclipse.emf.common.notify.Notifier notifier, CEPEngine cepEngine)` Constructor for cases with a dedicated event stream for `Notification`s.
    `EcoreNotificationAdapter(org.eclipse.emf.common.notify.Notifier notifier, EventStream eventStream)` Constructor for cases with an event stream specified by the user.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `org.eclipse.emf.common.notify.Adapter` | `getAdapter()`
    `void` | `setDebugLevel(org.apache.log4j.Level level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EcoreNotificationAdapter

          public EcoreNotificationAdapter(org.eclipse.emf.common.notify.Notifier notifier,
                                          CEPEngine cepEngine)

      Constructor for cases with a dedicated event stream for `Notification`s.
      Parameters:
        `notifier` - root object of the model
        `cepEngine` - `CEPEngine` to work with

    - #### EcoreNotificationAdapter

          public EcoreNotificationAdapter(org.eclipse.emf.common.notify.Notifier notifier,
                                          EventStream eventStream)

      Constructor for cases with an event stream specified by the user.
      Parameters:
        `notifier` - object of the model
        `eventStream` - `EventStream` to work with

  - ### Method Detail

    - #### getAdapter

          public org.eclipse.emf.common.notify.Adapter getAdapter()

    - #### setDebugLevel

          public void setDebugLevel(org.apache.log4j.Level level)

    - #### dispose

          public void dispose()